### Method

# Snapd UserInformation get_auth_data

since: 1.26

#### Declaration [src]

    SnapdAuthData*
    snapd_user_information_get_auth_data (
      SnapdUserInformation* user_information
    )

#### Description [src]

Get the email address for this account.

Available since: 1.26

Gets property | `Snapd.UserInformation:auth-data`

#### Return value

Type: `SnapdAuthData`

A `SnapdAuthData` or `NULL` if not set.

The returned data is owned by the instance.
The return value can be `NULL`.